with
	System,
	Ada.Unchecked_Conversion,
	Ada.Strings.Unbounded,
	Windows,
	Replace;
package Main_Window is
	use Windows;
	use type Windows.LONG;
	use type Windows.DWORD;

	ID_EXIT         : constant :=  13;
	ID_ABOUT        : constant :=  21;
	ID_CONVERT_BASE : constant := 100;

	type Mode_Table is array(ID_CONVERT_BASE .. ID_CONVERT_BASE + 31) of Ada.Strings.Unbounded.Unbounded_String;

	type Window_State is 
		record
			Menu: HMENU;
			Edit: HWND;
			Modes: Mode_Table;
		end record;

	type Window_State_Access is access Window_State;

	function WindowProc(Window: HWND; Message: UINT; W: WPARAM; L: LPARAM) return LRESULT;
	pragma Convention(stdcall, WindowProc);

end Main_Window;
