with Ada.Strings.Unbounded;
with Ada.Containers.Doubly_Linked_Lists;
with GNAT.Regpat;
package Regexp_List is

	type Table is 
		record
			Pattern: GNAT.Regpat.Pattern_Matcher(1024);
			Tag_Class: Ada.Strings.Unbounded.Unbounded_String;
		end record;

	package List is new Ada.Containers.Doubly_Linked_Lists(Table);

end Regexp_List;
