with
	System,
	Windows,
	Main_Window;
procedure src2html is
	pragma Linker_Options("-s");
	pragma Linker_Options("-mwindows");
	use Windows;
	use type Windows.WORD;
	use type Windows.LONG;

	ClassName: PCASTR := Addr("AdaPadWindow" & Nul);
	Window: HWND;
	Message: aliased MSG;
	WindowClass: aliased WNDCLASS := (
		style => 0,
		lpfnWndProc => Main_Window.WindowProc'Access,
		cbClsExtra | cbWndExtra => 0,
		hInstance => Retrieve_hInstance,
		hIcon => LoadIcon(null, IDI_APPLICATION),
		hCursor => LoadCursor(null, IDC_ARROW),
		hbrBackground => GetStockObject(WHITE_BRUSH),
		lpszMenuName => null,
		lpszClassName => ClassName);
begin
	if RegisterClass(WindowClass'Access) /= 0 then
		Window := CreateWindow(ClassName, Addr("AdaPad" & Nul), WS_OVERLAPPEDWINDOW,
			CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, null, null, Retrieve_hInstance, System.Null_Address);
		ShowWindow(Window, Retrieve_nCmdShow);
		UpdateWindow(Window);
		while GetMessage(Message'Access, null, 0, 0) /= BOOL_FALSE loop
			TranslateMessage(Message'Access);
			DispatchMessage(Message'Access);
		end loop;
	end if;
end src2html;
